{% extends 'base.html' %} 
{% load static %}
{% block content %}

<div class="container-fluid p-0">
  <h1 class="h3 mb-3">Questionários</h1>

  <div class="row">
    <div class="col-12">
      <div class="card">        
        <div class="card-body">
          {% if messages %}
                  {% for message in messages %}
                      <div class="text-center alert alert-{{ message.tags }}">
                          {{ message|safe }}
                      </div>
                  {% endfor %}
              {% endif %}
          <br>
          <table class="table">
            <thead>
              <tr>
                <td>Organização</td>
                <td>Responsavel</td>
                <td>Ações</td>
              </tr>
            </thead>
            <tbody>
              {% for object in object_list %}
              <tr>
                <td>{{ object.employee.organization.name }}</td>
                <td>{{ object.employee.name }}</td>
                <td>Relatório</td>
              </tr>
              {% empty %}
              <tr>
                <td>Nenhum Questionário/td>
                <td>----</td>
                <td>----</td>
              </tr>
              {% endfor %}    
            </tbody>
          </table>
          <div class="pagination">
            <span class="step-links">
                {% if page_obj.has_previous %}
                    <a href="?page={{ page_obj.previous_page_number }}">Anterior</a>
                {% endif %}
    
                <span class="current">
                    Página  {{ page_obj.number }} de {{ paginator.num_pages }}.
                </span>
    
                {% if page_obj.has_next %}
                    <a href="?page={{ page_obj.next_page_number }}">Próxima</a>
                {% endif %}
            </span>
        </div>
        </div>
      </div>
    </div>
  </div>
</div>

{% endblock %}
